Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class CommonAccessibility

    java.lang.Object
      org.apache.fop.fo.properties.CommonAccessibility

    public final class CommonAccessibility

extends java.lang.Object

The "role" and "source-document" properties, see Section 7.5 of the XSL-FO 1.1 Recommendation.

Method Summary
`static CommonAccessibility` | `getInstance(PropertyList propertyList)` Returns an instance that matches the values (if any) in the given property list.
`java.lang.String` | `getRole()` Returns the value of the role property.
`java.lang.String` | `getSourceDocument()` Returns the value of the source-document property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static CommonAccessibility getInstance(PropertyList propertyList)
                                           throws PropertyException

  Returns an instance that matches the values (if any) in the given property list.

  Parameters:
    `propertyList` - a list from which to retrieve the accessibility properties
  Returns:
    the corresponding instance
  Throws:
    `PropertyException` - if a problem occurs while retrieving the properties

### getSourceDocument

    public java.lang.String getSourceDocument()

  Returns the value of the source-document property.

  Returns:
    the source document, or null if the property was set to "none"

### getRole

    public java.lang.String getRole()

  Returns the value of the role property.

  Returns:
    the role, or null if the property was set to "none"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.